package co.yixiang.yshop.module.distributor.convert.distributordynamics;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.distributor.controller.admin.distributordynamics.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributordynamics.DistributorDynamicsDO;

/**
 * 分销商动态 Convert
 *
 * @author admin
 */
@Mapper
public interface DistributorDynamicsConvert {

    DistributorDynamicsConvert INSTANCE = Mappers.getMapper(DistributorDynamicsConvert.class);

    DistributorDynamicsDO convert(DistributorDynamicsCreateReqVO bean);

    DistributorDynamicsDO convert(DistributorDynamicsUpdateReqVO bean);

    DistributorDynamicsRespVO convert(DistributorDynamicsDO bean);

    List<DistributorDynamicsRespVO> convertList(List<DistributorDynamicsDO> list);

    PageResult<DistributorDynamicsRespVO> convertPage(PageResult<DistributorDynamicsDO> page);

    List<DistributorDynamicsExcelVO> convertList02(List<DistributorDynamicsDO> list);

}
